(entsel [prompt])


Ask the user to select an entity.


The entsel function selects a single entity using a point-click, and then returns a list containing the entity name and the coordinates of the point used to select it. Any prior entity snap settings have no effect unless specifically requested during the function.

If a prompt is supplied, the user will be asked to select the entity with the wording of that prompt. If no prompt is supplied, the default prompt "Select Entity:" is displayed.

Examples

Code Returns
(entsel)
[pick an entity]
Select entity: (<Entity name: 1ff0548> (5.0 5.0 0.0))
(setq b (entsel "Select an line:"))
[pick a line]
Select an entity:
(<Entity name: 1ff0564> (1.0 2.0 3.0))

NOTE The function entsel works only with top-level entities. To select entities that belong to a block or a polyline, use nentsel.

Tell me about...

(entdel entity-name)

(entget entity-name [application-list])

(entlast)

(entmake [entity-list])

(entmod entity-list)

(entupd entity-name)

(nentselp [prompt] [point])

(setq symbol1 statement1 [symbol2 statement2] ...)

LISP Compatibility

Programming Overview of LISP (LISt Processing) Language